## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class TextWriterDestination

    public class TextWriterDestination

extends XmlDestination

  A `TextWriterDestination` is an implementation of `XmlDestination` that wraps an instance of `XmlWriter`.

  The name `TextWriterDestination` is a misnomer; originally this class would only wrap an `XmlTextWriter`. It will now wrap any `XmlWriter`.

  Note that when a `TextWriterDestination` is used to process the output of a stylesheet or query, the output format depends only on the way the underlying `XmlWriter` is configured; serialization parameters present in the stylesheet or query are ignored.

Constructor Summary
`TextWriterDestination(System.Xml.XmlWriter writer)` Construct a TextWriterDestination

Method Summary
`JResult` | `GetResult()`

Constructor Detail

### TextWriterDestination

    public TextWriterDestination(System.Xml.XmlWriter writer)

  Construct a TextWriterDestination

  Parameters:
  `writer` -
    The `XmlWriter` that is to be notified of the events representing the XML document.

Method Detail

### GetResult

    public JResult GetResult()